%define	version	0.4.1
%define release 3mdk
%define name	screem

Summary:	Web Site CReating and Editing EnvironMent
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW

Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}.16.xpm.bz2
Source2:	%{name}.32.xpm.bz2
Source3:	%{name}.48.xpm.bz2

Url:		http://www.screem.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Requires:	gnome-libs >= 1.2.0 libxml >= 1.8.7 libglade >= 0.12 gdk-pixbuf >= 0.7
BuildRequires: gnome-libs openssl-devel

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated development
environment for the creation and maintenance of websites and pages.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --without-ssl --with-gnomevfs

%make

%install

#don't use makeinstall macro
make DESTDIR=$RPM_BUILD_ROOT install

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_libdir}/menu
cat > ./%{_libdir}/menu/%{name} <<EOF 
?package(screem):command="%{_bindir}/screem" icon="screem.xpm" title="Screem" longtitle="Website creation tool" needs="X11" section="Networking/WWW"
EOF
)

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc docs AUTHORS ChangeLog NEWS README COPYING TODO FAQ BUGS DEPENDS
%{_bindir}/*
%{_libdir}/screem/*
%{_datadir}/screem/*
%{_datadir}/pixmaps/screem*
%{_datadir}/mime-info/screem.keys
%{_datadir}/mime-info/screem.mime
%{_datadir}/gnome/apps/Development/screem.desktop
%{_datadir}/gnome/help/screem/*
%{_datadir}/mc/templates/screem.desktop
%{_menudir}/*
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Wed Apr 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- enable vfs
- fix release

* Sun Mar 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- fixes files section

* Mon Mar 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- updated to 0.4.1
- fix icon

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.0-6mdk
- Recompiled again latest gnome-print

* Fri Nov 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-5mdk
- added all sizes of icons
- fix typo


* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.0-4mdk
- recompiled with gnome-print 0.24

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 0.3.0-3mdk
- More macros
- Use optimizations
- Fix menu entry
- Fix group

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- try to reduce the "fuzzy logic" :)

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- new in contribs
